<?php
/**
 * @file The HostingDistributionNode trait.
 */

trait HostingDistributionNode {

  /**
   * Return the target of an entityreference field.
   */
  public function getEntityReference($field) {
    return $this->getFieldValueType($field, 'target_id');
  }

  public function getFieldValueType($field, $type) {
    if (isset($this->node->{$field})) {
      if (isset($this->node->{$field}[$this->node->language])) {
        return $this->node->{$field}[$this->node->language][0][$type];
      }
      else {
        return $this->node->{$field}[0][$type];
      }
    }
  }

  /**
   * Return the target of an entityreference field.
   */
  public function setEntityReference($field, $value) {
    return $this->node->{$field}[$this->node->language][0] = array(
      'target_id' => $value,
      'target_type' => 'node',
    );
  }

  /**
   * Return the value of a field.
   */
  public function getFieldValue($field) {
    return $this->getFieldValueType($field, 'value');
  }

  /**
   * Set the value of a field.
   */
  public function setFieldValue($field, $value) {
    return $this->node->{$field}[$this->node->language][0]['value'] = $value;
  }

  /**
   * Display a field as an Aegir-themed 'info' item.
   */
  public function fixNodeFieldDisplay($field) {
    if (isset($this->node->content[$field])) {
      $this->node->content['info'][$field] = array(
        '#type' => 'item',
        '#title' => $this->node->content[$field]['#title'],
        '#markup' => $this->node->content[$field][0]['#markup'],
      );
      unset($this->node->content[$field]);
    }
  }

  /**
   * Save the node.
   */
  public function save() {
    $this->node = node_submit($this->node);
    node_save($this->node);
    return $this->node->nid;
  }

}
